# The Red Matrix: mod/rbmark.php File Reference

All Classes Namespaces Files Functions Variables Pages
rbmark.php File Reference

## Functions

| rbmark_post (&$a)
| rbmark_content (&$a)

## Function Documentation

rbmark_content | ( | & | $a | ) |

rbmark_post | ( | & | $a | ) |

remote bookmark

https://yoursite/rbmark?f=&title=&url=&private=&remote_return=

This can be called via either GET or POST, use POST for long body content as suhosin often limits GET parameter length

f= placeholder, often required title= link text url= URL to bookmark ischat=1 if this bookmark is a chatroom private= Don't share this link remote_return= absolute URL to return after posting is finished